%define upstream_name    Calendar-Simple
%define upstream_version 1.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:	Perl extension to create simple calendars
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/Calendar-Simple/
Source0:    http://search.cpan.org/CPAN/authors/id/D/DA/DAVECROSS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(ExtUtils::MakeMaker)
# Required by the tests
BuildRequires:	perl(DateTime)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)
BuildArch:	noarch


%description
Perl extension to create simple calendars.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod -x lib/*/Simple.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%files
%doc Changes README META.yml
%{_bindir}/pcal
%{perl_vendorlib}/Calendar
%{_mandir}/man3/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.210.0-9pclos2017
- rebuild against updates

